#!/bin/sh
#
# install.sh
#
# by Gernot WALZL   2009-07-08
#

if [ "$(id -u)" != "0" ]; then
    echo "This script must be run as root."
    exit 1
fi

cd ./slackbuilds/ || exit 1

./libarchive.SlackBuild || exit 1
installpkg /tmp/libarchive-2.7.0-i486-1scr.tgz

./libdownload.SlackBuild || exit 1
installpkg /tmp/libdownload-1.3-i486-1scr.tgz

./pacman.SlackBuild || exit 1
installpkg /tmp/pacman-3.2.2-i486-1scr.tgz

cd ../

./tools/portSlkDb2PacDb.sh

echo ""
echo "Installation finished."
echo "You have to select some mirrors in /etc/pacman.d/mirrorlist"
